Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cmp
Class POPODecKeyRespContent

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.cmp.POPODecKeyRespContent

All Implemented Interfaces:
  DEREncodable

    public class POPODecKeyRespContent

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Method Summary
`static POPODecKeyRespContent` | `getInstance(java.lang.Object o)`
`DERObject` | `toASN1Object()` POPODecKeyRespContent ::= SEQUENCE OF INTEGER
`DERInteger[]` | `toDERIntegerArray()`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static POPODecKeyRespContent getInstance(java.lang.Object o)

### toDERIntegerArray

    public DERInteger[] toDERIntegerArray()

### toASN1Object

    public DERObject toASN1Object()

       POPODecKeyRespContent ::= SEQUENCE OF INTEGER

  Specified by:
    `toASN1Object` in class `ASN1Encodable`
  Returns:
    a basic ASN.1 object representation.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD